# Roadmap


### 1.0a1 Milestone (first alpha release on Sep '14)

1. [x] Automated deployment of the development environment
2. [x] Automated installation and upgrading
2. [ ] Testing framework for running unittests and functional tests
2. [ ] Continuous integration environment
2. [x] Admin interface based on django.contrib.admin foundations
3. [x] REST API based on django-rest-framework foundations
2. [x] [Orchestra-orm](https://github.com/glic3rinu/orchestra-orm) a Python library for easily interacting with the REST API
3. [x] Service orchestration framework
4. [ ] Data model, input validation, admin and REST interfaces, permissions, unit and functional tests, service management, migration scripts and some documentation of:
  1. [x] Web applications
  2. [ ] FTP accounts
  2. [ ] Databases 
  1. [ ] Mail accounts, aliases, forwards
  1. [x] DNS
  1. [ ] Mailing lists
1. [x] Contact management and service contraction
1. [ ] Object level permissions system
1. [ ] Unittests of all the logic
2. [ ] Functional tests of all Admin and REST interations
1. [ ] Initial documentation


### 1.0b1 Milestone (first beta release on Nov '14)

1. [x] Resource monitoring
1. [ ] Orders
2. [ ] Pricing
3. [ ] Billing
1. [ ] Payment methods
2. [ ] Scheduling of service cancellations and deactivations
1. [ ] Full documentation


### 1.0 Milestone (first stable release on Feb '15)

1. [ ] Stabilize data model, internal APIs and REST API
1. [ ] Integration with third-party service providers, e.g. Gandi
1. [ ] Support for additional services like VPS
2. [ ] Issue tracking system
3. [ ] Translation to Spanish and Catalan
